# AccountNFTsRequest | xrpl
Documentation for xrpl

# Interface AccountNFTsRequest

The `account_nfts` method retrieves all of the NFTs currently owned by the specified account.

#### Hierarchy

- BaseRequest
  - AccountNFTsRequest

- Defined in packages/xrpl/src/models/methods/accountNFTs.ts:9

#####
Index

### Properties

account
api_version?
command
id?
limit?
marker?

## Properties

### account

account: string

The unique identifier of an account, typically the account's address. The request returns NFTs owned by this account.

- Defined in packages/xrpl/src/models/methods/accountNFTs.ts:15

### `Optional` api_version

api_version?: number

The API version to use. If omitted, use version 1.

Inherited from BaseRequest.api_version

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:14

### command

command: "account_nfts"

Overrides BaseRequest.command

- Defined in packages/xrpl/src/models/methods/accountNFTs.ts:10

### `Optional` id

id?: string | number

A unique value to identify this request. The response to this request uses the same id field. This way, even if responses arrive out of order, you know which request prompted which response.

Inherited from BaseRequest.id

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:10

### `Optional` limit

limit?: number

Limit the number of NFTokens to retrieve.

- Defined in packages/xrpl/src/models/methods/accountNFTs.ts:19

### `Optional` marker

marker?: unknown

Value from a previous paginated response. Resume retrieving data where that response left off.

- Defined in packages/xrpl/src/models/methods/accountNFTs.ts:24

Generated using TypeDoc